Debian Bug report logs - #435858
xterm: crashes on non-existent wide bold font

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Marc Glisse <marc.glisse@loria.fr>

Date: Fri, 3 Aug 2007 17:12:01 UTC

Severity: normal

Found in version xterm/228-1

Fixed in version xterm/229-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#435858; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Marc Glisse <marc.glisse@loria.fr>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Glisse <marc.glisse@loria.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: crashes on non-existent wide bold font
Date: Fri, 03 Aug 2007 18:59:10 +0200
Package: xterm
Version: 228-1
Severity: normal

Hello,

if I try:

LC_CTYPE=en_US.UTF-8 xterm -fwb nonexistent

xterm crashes with the message below. I haven't seen this with any other
-fw -fb or -fn option or without an UTF-8 locale.

Obviously this bug should not normally happen as we should specify valid
fonts, but for some reason the font I used as widebold disappeared, and
it was not obvious understanding why uxterm stopped working.

*** glibc detected *** xterm: munmap_chunk(): invalid pointer: 0x080981fc ***
======= Backtrace: =========
/lib/i686/cmov/libc.so.6(cfree+0x1bb)[0xb7bcefeb]
xterm[0x80615cd]
xterm[0x80536b7]
/usr/lib/libXt.so.6[0xb7e1c691]
/usr/lib/libXt.so.6[0xb7e1c81a]
/usr/lib/libXt.so.6(XtRealizeWidget+0xae)[0xb7e1cabe]
xterm[0x8055e39]
xterm[0x8064e7b]
xterm[0x80672e7]
/lib/i686/cmov/libc.so.6(__libc_start_main+0xe0)[0xb7b78030]
xterm[0x804d511]
======= Memory map: ========
08048000-0808f000 r-xp 00000000 03:06 248063     /usr/bin/xterm
0808f000-08094000 rw-p 00047000 03:06 248063     /usr/bin/xterm
08094000-080d8000 rw-p 08094000 00:00 0          [heap]
b7872000-b7876000 r-xp 00000000 03:06 327048     /usr/lib/libXfixes.so.3.1.0
b7876000-b7877000 rw-p 00003000 03:06 327048     /usr/lib/libXfixes.so.3.1.0
b7877000-b787f000 r-xp 00000000 03:06 331010     /usr/lib/libXcursor.so.1.0.2
b787f000-b7880000 rw-p 00007000 03:06 331010     /usr/lib/libXcursor.so.1.0.2
b7880000-b7a80000 r--p 00000000 03:06 493847     /usr/lib/locale/locale-archive
b7a80000-b7a81000 rw-p b7a80000 00:00 0 
b7a81000-b7a94000 r-xp 00000000 03:05 85984      /lib/i686/cmov/libpthread-2.6.so
b7a94000-b7a96000 rw-p 00013000 03:05 85984      /lib/i686/cmov/libpthread-2.6.so
b7a96000-b7a99000 rw-p b7a96000 00:00 0 
b7a99000-b7a9b000 r-xp 00000000 03:05 85943      /lib/i686/cmov/libdl-2.6.so
b7a9b000-b7a9d000 rw-p 00001000 03:05 85943      /lib/i686/cmov/libdl-2.6.so
b7a9d000-b7aa1000 r-xp 00000000 03:06 331627     /usr/lib/libXdmcp.so.6.0.0
b7aa1000-b7aa2000 rw-p 00003000 03:06 331627     /usr/lib/libXdmcp.so.6.0.0
b7aa2000-b7aa4000 r-xp 00000000 03:06 330809     /usr/lib/libXau.so.6.0.0
b7aa4000-b7aa5000 rw-p 00001000 03:06 330809     /usr/lib/libXau.so.6.0.0
b7aa5000-b7ab4000 r-xp 00000000 03:06 331091     /usr/lib/libXpm.so.4.11.0
b7ab4000-b7ab5000 rw-p 0000e000 03:06 331091     /usr/lib/libXpm.so.4.11.0
b7ab5000-b7ad3000 r-xp 00000000 03:06 327666     /usr/lib/libexpat.so.1.0.0
b7ad3000-b7ad5000 rw-p 0001d000 03:06 327666     /usr/lib/libexpat.so.1.0.0
b7ad5000-b7ad6000 rw-p b7ad5000 00:00 0 
b7ad6000-b7add000 r-xp 00000000 03:06 327046     /usr/lib/libXrender.so.1.3.0
b7add000-b7ade000 rw-p 00006000 03:06 327046     /usr/lib/libXrender.so.1.3.0
b7ade000-b7af2000 r-xp 00000000 03:06 328807     /usr/lib/libz.so.1.2.3.3
b7af2000-b7af3000 rw-p 00013000 03:06 328807     /usr/lib/libz.so.1.2.3.3
b7af3000-b7b5e000 r-xp 00000000 03:06 327453     /usr/lib/libfreetype.so.6.3.16
b7b5e000-b7b62000 rw-p 0006a000 03:06 327453     /usr/lib/libfreetype.so.6.3.16
b7b62000-b7ca3000 r-xp 00000000 03:05 85926      /lib/i686/cmov/libc-2.6.so
b7ca3000-b7ca4000 r--p 00141000 03:05 85926      /lib/i686/cmov/libc-2.6.so
b7ca4000-b7ca6000 rw-p 00142000 03:05 85926      /lib/i686/cmov/libc-2.6.so
b7ca6000-b7ca9000 rw-p b7ca6000 00:00 0 
b7ca9000-b7ce4000 r-xp 00000000 03:05 86045      /lib/libncurses.so.5.6
b7ce4000-b7cec000 rw-p 0003b000 03:05 86045      /lib/libncurses.so.5.6
b7cec000-b7dd4000 r-xp 00000000 03:06 359894     /usr/lib/libX11.so.6.2.0
b7dd4000-b7dd8000 rw-p 000e8000 03:06 359894     /usr/lib/libX11.so.6.2.0
b7dd8000-b7dd9000 rw-p b7dd8000 00:00 0 
b7dd9000-b7dee000 r-xp 00000000 03:06 327263     /usr/lib/libICE.so.6.3.0
b7dee000-b7def000 rw-p 00014000 03:06 327263     /usr/lib/libICE.so.6.3.0
b7def000-b7df1000 rw-p b7def000 00:00 0 
b7df1000-b7df8000 r-xp 00000000 03:06 327363     /usr/lib/libSM.so.6.0.0
b7df8000-b7df9000 rw-p 00006000 03:06 327363     /usr/lib/libSM.so.6.0.0
b7df9000-b7e45000 r-xp 00000000 03:06 329725     /usr/lib/libXt.so.6.0.0
b7e45000-b7e48000 rw-p 0004c000 03:06 329725     /usr/lib/libXt.so.6.0.0
b7e48000-b7e49000 rw-p b7e48000 00:00 0 
b7e49000-b7e56000 r-xp 00000000 03:06 328350     /usr/lib/libXext.so.6.4.0
b7e56000-b7e57000 rw-p 0000c000 03:06 328350     /usr/lib/libXext.so.6.4.0
b7e57000-b7e6b000 r-xp 00000000 03:06 327265     /usr/lib/libXmu.so.6.2.0
b7e6b000-b7e6c000 rw-p 00014000 03:06 327265     /usr/lib/libXmu.so.6.2.0
b7e6c000-b7ebf000 r-xp 00000000 03:06 327214     /usr/lib/libXaw7.so.7.0.0
b7ebf000-b7ec6000 rw-p 00052000 03:06 327214     /usr/lib/libXaw7.so.7.0.0
b7ec6000-b7ec7000 rw-p b7ec6000 00:00 0 
b7ec7000-b7eea000 r-xp 00000000 03:06 333607     /usr/lib/libfontconfig.so.1.2.0
b7eea000-b7ef2000 rw-p 00023000 03:06 333607     /usr/lib/libfontconfig.so.1.2.0
b7ef2000-b7f03000 r-xp 00000000 03:06 333180     /usr/lib/libXft.so.2.1.2
b7f03000-b7f04000 rw-p 00010000 03:06 333180     /usr/lib/libXft.so.2.1.2
b7f0c000-b7f16000 r-xp 00000000 03:05 85851      /lib/libgcc_s.so.1
b7f16000-b7f17000 rw-p 00009000 03:05 85851      /lib/libgcc_s.so.1
b7f17000-b7f34000 r--s 00000000 00:08 71106563   /SYSV00000000 (deleted)
b7f34000-b7f36000 rw-p b7f34000 00:00 0 
b7f36000-b7f37000 r-xp b7f36000 00:00 0          [vdso]
b7f37000-b7f53000 r-xp 00000000 03:05 85886      /lib/ld-2.6.so
b7f53000-b7f55000 rw-p 0001b000 03:05 85886      /lib/ld-2.6.so
bfb8d000-bfba3000 rw-p bfb8d000 00:00 0          [stack]


-- System Information:
Debian Release: lenny/sid
  APT prefers stable
  APT policy: (500, 'stable'), (50, 'testing'), (10, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.6-2          GNU C Library: Shared libraries
ii  libfontconfig1            2.4.2-1.2      generic font configuration library
ii  libice6                   1:1.0.3-2      X11 Inter-Client Exchange library
ii  libncurses5               5.6+20070716-1 Shared libraries for terminal hand
ii  libsm6                    2:1.0.3-1+b1   X11 Session Management library
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxaw7                   1:1.0.3-3      X11 Athena Widget library
ii  libxext6                  1:1.0.3-2      X11 miscellaneous extension librar
ii  libxft2                   2.1.12-2       FreeType-based font drawing librar
ii  libxmu6                   1:1.0.3-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- debconf-show failed



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#435858; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 435858@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Marc Glisse <marc.glisse@loria.fr>, 435858@bugs.debian.org
Subject: Re: Bug#435858: xterm: crashes on non-existent wide bold font
Date: Sat, 4 Aug 2007 20:13:54 -0400
[Message part 1 (text/plain, inline)]
On Fri, Aug 03, 2007 at 07:20:07PM +0200, Marc Glisse wrote:
> Package: xterm
> Version: 228-1
> Severity: normal
> 
> Hello,
> 
> if I try:
> 
> LC_CTYPE=en_US.UTF-8 xterm -fwb nonexistent
> 
> xterm crashes with the message below. I haven't seen this with any other
> -fw -fb or -fn option or without an UTF-8 locale.
> 
> Obviously this bug should not normally happen as we should specify valid
> fonts, but for some reason the font I used as widebold disappeared, and
> it was not obvious understanding why uxterm stopped working.

The cause is from a memory-leak fix in patch #209.

It's breaking because (unlike the case for which I made the change)
the value is from a resource-setting, not allocated by xterm.

Here's the change needed:

diff -u -r1.249 fontutils.c  
--- fontutils.c 2007/06/17 12:50:22     1.249 
+++ fontutils.c 2007/08/05 00:11:55   
@@ -850,7 +850,6 @@  
                fnts[fWBold] = xtermCloseFont(xw, fnts[fWBold]);
            }
            if (fnts[fWBold] == 0) {
-               free(myfonts.f_wb); 
                myfonts.f_wb = myfonts.f_w;
                fnts[fWBold] = fnts[fWide];
                TRACE(("...cannot load wide-bold, use wide %s\n", NonNull(myfonts.f_w)));


-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Glisse <marc.glisse@loria.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 435858-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 435858-close@bugs.debian.org
Subject: Bug#435858: fixed in xterm 229-1
Date: Mon, 13 Aug 2007 14:32:35 +0000
Source: xterm
Source-Version: 229-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_229-1.diff.gz
  to pool/main/x/xterm/xterm_229-1.diff.gz
xterm_229-1.dsc
  to pool/main/x/xterm/xterm_229-1.dsc
xterm_229-1_i386.deb
  to pool/main/x/xterm/xterm_229-1_i386.deb
xterm_229.orig.tar.gz
  to pool/main/x/xterm/xterm_229.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 435858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Aug 2007 16:10:01 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 229-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 435858
Changes: 
 xterm (229-1) unstable; urgency=low
 .
   * Fix typo in uxterm(1) (LP: #128136).
   * New upstream release
     + undo an incorrect fix for a memory leak in patch #209
       (closes: #435858).
   * Stop installing the .desktop files and adapt xterm.menu to the new menu
     structure.
   * Use a separate build dir.
   * Build with -Wall.
Files: 
 1fc5af108b785d0c961fdbfae7f22cec 805 x11 optional xterm_229-1.dsc
 f7b04a66dc401dc22f5ddb7f345be229 841542 x11 optional xterm_229.orig.tar.gz
 52e575708012971317a2fa58de52e7f6 62083 x11 optional xterm_229-1.diff.gz
 93054f84dcf1774a8e12d57fb0106758 454086 x11 optional xterm_229-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGwGiXmEvTgKxfcAwRAgJEAJ9KuYeKbIM6Xt1jPsAUHQyZJk8rUgCfR1Wk
o9u7Af9+E+jzhVfiO5c1aB4=
=lx6m
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Sep 2007 07:28:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:58:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.